package com.srs.routine.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.routine.domain.RtClassMettingStuUpload;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 指定学生上传Service接口
 *
 * @author srs
 * @date 2025-02-09
 */
public interface IRtClassMettingStuUploadService extends IService<RtClassMettingStuUpload> {


    public AjaxResult boolStuHasUploadRole();

    public List<Map< String, Object >> listStuClass(String stuNo);

    public AjaxResult cancelStu( String stuNo);

    public List<Map< String, Object >> listFdyStuUpload();

    public AjaxResult fdyAdd(String stuNo);

    /**
     * 查询指定学生上传
     *
     * @param id 指定学生上传主键
     * @return 指定学生上传
     */
    public RtClassMettingStuUpload selectRtClassMettingStuUploadById(Long id);

    /**
     * 查询指定学生上传列表
     *
     * @param rtClassMettingStuUpload 指定学生上传
     * @return 指定学生上传集合
     */
    List<RtClassMettingStuUpload> selectRtClassMettingStuUploadList(RtClassMettingStuUpload rtClassMettingStuUpload);

    /**
     * 新增指定学生上传
     *
     * @param rtClassMettingStuUpload 指定学生上传
     * @return 结果
     */
    int insertRtClassMettingStuUpload(RtClassMettingStuUpload rtClassMettingStuUpload);

    /**
     * 修改指定学生上传
     *
     * @param rtClassMettingStuUpload 指定学生上传
     * @return 结果
     */
    int updateRtClassMettingStuUpload(RtClassMettingStuUpload rtClassMettingStuUpload);

    /**
     * 批量删除指定学生上传
     *
     * @param ids 需要删除的指定学生上传主键集合
     * @return 结果
     */
    int deleteRtClassMettingStuUploadByIds(Long[] ids);

    /**
     * 删除指定学生上传信息
     *
     * @param id 指定学生上传主键
     * @return 结果
     */
    int deleteRtClassMettingStuUploadById(Long id);
}
